import { CONFIG, FileOptions, setFileInfoResponse } from '../types';
declare class Common {
    configFile: string;
    config: CONFIG;
    projectPath: string;
    fileType: string;
    filePath: string;
    fileName: string;
    constructor();
    setup(projectPath: string, args: string[]): Promise<void>;
    setConfig(fileName: string, silence?: boolean): Promise<CONFIG>;
    setFileInfo(path: string): setFileInfoResponse;
    validateType(type: string): void;
    constructFilePath(file: FileOptions, customFileLoc?: string): {
        fileDir: string;
        filename: string;
        filePath: string;
    };
    log(type: string, msg: string): void;
    throwInvalidateError(): void;
    getRelativePath(templateFilePath: string, filePath: string): string;
    deleteDir(dirpath: string): void;
}
export { Common };
