"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteFiles = void 0;
const fs_extra_1 = require("fs-extra");
const common_1 = require("./common");
class DeleteFiles extends common_1.Common {
    async exec(api, _options, args) {
        await this.setup(api.getCwd(), args);
        const typeConfig = this.config[this.fileType];
        let deletables = typeConfig.files;
        if (this.fileType === 'component' && typeConfig.singleFile) {
            deletables = typeConfig.files.filter(file => !file.tagname);
        }
        this.deleteFiles(deletables);
    }
    deleteFiles(files) {
        files.forEach((file) => {
            const { filePath, fileDir } = this.constructFilePath(file);
            this.log('error', `Deleted file: ${filePath}`);
            fs_extra_1.removeSync(filePath);
            this.deleteDir(fileDir);
        });
    }
}
exports.DeleteFiles = DeleteFiles;
